"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_jss_1 = require("react-jss");
const theme_1 = require("../../theme");
const useStyles = react_jss_1.createUseStyles({
    button: {
        color: theme_1.colors.WHITE,
        textAlign: "center",
        fontSize: 22,
        borderRadius: 26,
        border: "none",
        height: 52,
        cursor: "pointer",
        background: (props) => props.bgColor ||
            `${theme_1.getColorFromStatus(props.status || theme_1.EStatusColor.PRIMARY)} 0% 0% no-repeat padding-box`,
        width: (props) => (props.fullWidth ? "100%" : "auto"),
    },
    materialUIButtonWrapper: {
        display: "flex",
        justifyContent: "center",
        padding: "35px 25px 20px 25px",
    },
    materialUIButton: {
        borderRadius: 2,
        backgroundColor: "#00C3A9",
        color: "#ffffff",
        border: "none",
        padding: "10px 28px",
        float: "right",
        cursor: "pointer",
        fontSize: 18,
        width: (props) => (props.fullWidth ? "100%" : "auto"),
    },
    linkWrapper: {
        marginTop: 24,
        fontSize: 15,
    },
    link: {
        color: "#2539DE",
        cursor: "pointer",
    },
});
exports.default = useStyles;
//# sourceMappingURL=Button.style.js.map