"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const components_1 = require("../../components");
const hooks_1 = require("../../hooks");
const FundWidget_style_1 = __importDefault(require("../../widgets/FundWidget/FundWidget.style"));
const BalancesWidget_1 = __importDefault(require("../../widgets/BalancesWidget/BalancesWidget"));
const objects_1 = require("../../interfaces/objects");
const FundWidget = () => {
    const { tokenSelectorOptions, selectedPaymentToken, setSelectedPaymentToken, depositFunds, mintTokens, resultMessage, amount, setAmount, error, } = hooks_1.useFund();
    const classes = FundWidget_style_1.default({ error });
    const [hasAmountFunded, setHasAmountFunded] = react_1.useState();
    react_1.useEffect(() => {
        setHasAmountFunded(resultMessage.status === objects_1.EResultStatus.SUCCESS);
    }, [resultMessage]);
    return (react_1.default.createElement("div", { className: classes.wrapper },
        react_1.default.createElement(components_1.ModalHeader, null),
        hasAmountFunded ? (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", { className: classes.balancesWrapper },
                react_1.default.createElement("div", { className: classes.balancesLabel }, "Your Balances"),
                react_1.default.createElement(BalancesWidget_1.default, null),
                react_1.default.createElement(components_1.Button, { onClick: () => setHasAmountFunded(false), fullWidth: true, linkStyle: true, hasBackIcon: true, label: "Fund your wallet again" })))) : (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(components_1.TokenSelector, { tokenSelectorOptions: tokenSelectorOptions, selectedPaymentToken: selectedPaymentToken, setSelectedPaymentToken: setSelectedPaymentToken }),
            react_1.default.createElement(components_1.TextInput, { label: "Amount", value: amount, onChange: setAmount }),
            react_1.default.createElement(components_1.Button, { onClick: depositFunds, disabled: !(selectedPaymentToken === null || selectedPaymentToken === void 0 ? void 0 : selectedPaymentToken.address), fullWidth: true, hasMaterialUIStyle: true, label: "Fund your Wallet" }),
            react_1.default.createElement("div", { className: classes.alertMessage }, resultMessage === null || resultMessage === void 0 ? void 0 : resultMessage.message))),
        react_1.default.createElement(components_1.ModalFooter, null)));
};
exports.default = FundWidget;
//# sourceMappingURL=FundWidget.js.map